#import "osd/osd.hpp"

t_strint video_filter_table[] =
{
    { "none",     VIDEO_FILTER_NONE     },
    { "fit",      VIDEO_FILTER_FIT      },
    { "2x",       VIDEO_FILTER_2X       },
    { "interp2x", VIDEO_FILTER_INTERP2X },
    { "tv",       VIDEO_FILTER_TV       },
    { "ntsc",     VIDEO_FILTER_NTSC     },
    { "hq2x",     VIDEO_FILTER_HQ2X     },
    { "hq3x",     VIDEO_FILTER_HQ3X     },
    { "hq4x",     VIDEO_FILTER_HQ4X     },
    { NULL,       0                     }
};

t_strint sound_filter_table[] =
{
    { "none",    SOUND_FILTER_NONE    },
    { "lowpass", SOUND_FILTER_LOWPASS },
    { NULL,      0                    }
};

#if defined(ALLEGRO_DOS)

t_strint video_driver_table[] =
{
   { "auto",   GFX_AUTODETECT },
   { "safe",   GFX_SAFE       },
   { "vga",    GFX_VGA        },
   { "modex",  GFX_MODEX      },
   { "vesa1",  GFX_VESA1      },
   { "vesa2b", GFX_VESA2B     },
   { "vesa2l", GFX_VESA2L     },
   { "vesa3",  GFX_VESA3      },
   { "vbeaf",  GFX_VBEAF      },
   { NULL,     0              }
};

t_strint sound_driver_table[] =
{
   { "auto",       DIGI_AUTODETECT },
   { "none",       DIGI_NONE       },
   //{ "sb",         DIGI_SB         },
   { "sb10",       DIGI_SB10       },
   { "sb15",       DIGI_SB15       },
   { "sb20",       DIGI_SB20       },
   { "sbpro",      DIGI_SBPRO      },
   { "sb16",       DIGI_SB16       },
   { "audiodrive", DIGI_AUDIODRIVE },
   { "soundscape", DIGI_SOUNDSCAPE },
   //{ "winsndsys",  DIGI_WINSNDSYS  },
   { NULL,         0               }
};           

t_strint joy_driver_table[] =
{
   { "auto", JOY_TYPE_AUTODETECT },
   { "none", JOY_TYPE_NONE       },
   { NULL,   0                   }
};

#else

/* Generic. */

t_strint video_driver_table[] =
{
   { "auto",     GFX_AUTODETECT            },
   { "autowin",  GFX_AUTODETECT_WINDOWED   },
   { "autofull", GFX_AUTODETECT_FULLSCREEN },
   { "safe",     GFX_SAFE                  },
   { NULL,       0                         }
};

t_strint sound_driver_table[] =
{
   { "auto", DIGI_AUTODETECT },
   { "none", DIGI_NONE       },
   { NULL,   0               }
};

t_strint joy_driver_table[] =
{
   { "auto", JOY_TYPE_AUTODETECT },
   { "none", JOY_TYPE_NONE       },
   { NULL,   0                   }
};

#endif
