#define MAX_76496 1

struct SN76496interface
{
    int num;
	int baseclock[MAX_76496];
	int volume[MAX_76496];
};

/* Function prototypes */
extern void SN76496Write(int chip,int data);
extern void SN76496Update(int chip,signed short int *buffer,int length);
extern void SN76496_set_clock(int chip,int clock);
extern void SN76496_set_gain(int chip,int gain);
extern int SN76496_init(int chip,int clock,int volume,int sample_rate);
extern int SN76496_sh_start(int clock, int volume, int rate);
