typedef struct
{
    int running;
    int enable;
    int count;
    int base;
    int index;
} t_timer;

/* Global variables */
extern int fm_timera_tab[1024];
extern int fm_timerb_tab[256];
extern uint8 fm_reg[2][0x100];
extern uint8 fm_latch[2];
extern int timer_status;
extern t_timer timer[2];

/* Function prototypes */
extern void sound_init(void);
extern void sound_reset(void);
extern void fm_write(int address, int data);
extern int fm_read(int address);
extern void fm_update_timers(void);
extern void psg_write(int data);
